Bug 510259 - FTBS: kdelibs package fail to build on non-smp machine
FTBS: kdelibs package fail to build on non-smp machine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 10:07 EDT by CHIKAMA Masaki
Modified: 2009-07-28 14:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: 4.2.95-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 12:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kdelibs-4.1.96-parallel_devel2.patch (609 bytes, patch)
2009-07-08 10:07 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2009-07-08 10:07:53 EDT
Created attachment 350942 [details]
kdelibs-4.1.96-parallel_devel2.patch

Description of problem:
 The kdelibs package fail to build on non-smp machine with this message.

[ 77%] Generating kde3supportwidgets.cpp
cd /builddir/build/BUILD/kdelibs-4.2.4/sh4-redhat-linux-gnu/kdewidgets && ../bin
/bin/sh: ../bin/makekdewidgets4.shell: No such file or directory

This result is from kdelibs-4.2.4-2.fc11, but I think rawhide package also has the same problem.
I made a patch to build it successfully. I checked the patch on these two cases.

1. mock --define="%_smp_mflags -j2" -r fedora-11-i386 kdelibs-4.2.4-2.patched.fc11.src.rpm
2. mock --define="%_smp_mflags -j1" -r fedora-11-i386 kdelibs-4.2.4-2.patched.fc11.src.rpm


Version-Release number of selected component (if applicable):
kdelibs-4.2.4-2.fc11

How reproducible:
100% on non-smp machine.

Steps to Reproduce:
1. mock -r fedora-11-i386 kdelibs-4.2.4-2.fc11.src.rpm
2.
3.
  
Actual results:
 build failed

Expected results:
 build succeeded

Additional info:
Comment 1 Rex Dieter 2009-07-08 10:51:50 EDT
Good spot!  thanks.
Comment 2 Kevin Kofler 2009-07-08 11:24:33 EDT
Fix committed to Rawhide, now building.

I also committed a fixed 4.2.4-4.fc11 to F11 CVS, but I don't think it makes sense to push an update just for this, the fix will get picked up by the next F10/F11 update.
Comment 3 CHIKAMA Masaki 2009-07-10 00:01:07 EDT
No problem. Thank you!
Comment 4 Fedora Update System 2009-07-26 04:29:37 EDT
kdelibs-4.2.4-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kdelibs-4.2.4-6.fc11
Comment 5 Fedora Update System 2009-07-26 04:31:13 EDT
kdelibs-4.2.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdelibs-4.2.4-6.fc10
Comment 6 Fedora Update System 2009-07-28 14:23:20 EDT
kdelibs-4.2.4-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-28 14:26:51 EDT
kdelibs-4.2.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.